
Katello - Bug #4363

Repo Discovery UI does not pool its task

02/17/2014 04:41 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Using the web UI to repo discovery the url http://omaciel.fedorapeople.org/, the UI does not seem to actually pool the generated task,

so the end result is that you do not see any discovered repos show up in the UI. Sadly, there's not much information I can provide

now, not even logs, but I talked to @jsherill and he says he can reproduce it too and will look into it.

History

#1 - 04/25/2014 12:12 PM - Justin Sherrill

- translation missing: en.field_release set to 13

- Triaged set to No

#2 - 06/03/2014 02:30 PM - Og Maciel

- Status changed from New to Closed

Seems to be working fine with latest code.

==> /var/log/foreman/production.log <==

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/products/index.json

.rabl within katello/api/v2/layouts/collection (90.5ms)

Completed 200 OK in 125ms (Views: 86.4ms | ActiveRecord: 8.5ms)

Processing by Katello::Api::V2::GpgKeysController#index as JSON

  Parameters: {"full_result"=>"true", "organization_id"=>"4", "api_version"=>"v2"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/gpg_keys/index.json

.rabl within katello/api/v2/layouts/collection (22.5ms)

Completed 200 OK in 326ms (Views: 21.1ms | ActiveRecord: 5.3ms)

Creating scope :roots. Overwriting existing method Hostgroup.roots.

Creating scope :ancestors_of. Overwriting existing method Hostgroup.ancestors_of.

Creating scope :children_of. Overwriting existing method Hostgroup.children_of.

Creating scope :descendants_of. Overwriting existing method Hostgroup.descendants_of.

Creating scope :subtree_of. Overwriting existing method Hostgroup.subtree_of.

Creating scope :siblings_of. Overwriting existing method Hostgroup.siblings_of.

Creating scope :ordered_by_ancestry. Overwriting existing method Hostgroup.ordered_by_ancestry.

Creating scope :ordered_by_ancestry_and. Overwriting existing method Hostgroup.ordered_by_ancestry_and.

Creating scope :before_depth. Overwriting existing method Hostgroup.before_depth.

Creating scope :to_depth. Overwriting existing method Hostgroup.to_depth.

Creating scope :at_depth. Overwriting existing method Hostgroup.at_depth.

Creating scope :from_depth. Overwriting existing method Hostgroup.from_depth.

Creating scope :after_depth. Overwriting existing method Hostgroup.after_depth.

Processing by Katello::Api::V2::RepositoriesController#create as JSON

  Parameters: {"name"=>"fakerepo01", "label"=>"fakerepo01", "content_type"=>"yum", "url"=>"http://omaciel.fedo

rapeople.org/fakerepo01/", "product_id"=>194, "unprotected"=>true, "organization_id"=>"4", "api_version"=>"v2"

, "repository"=>{"name"=>"fakerepo01", "label"=>"fakerepo01", "unprotected"=>true, "content_type"=>"yum", "pro

duct_id"=>194, "url"=>"http://omaciel.fedorapeople.org/fakerepo01/"}}

==> /var/log/candlepin/candlepin.log <==

2014-06-03 10:29:17,901 [req=e6ca8680-4365-458a-bbcb-2065a28a2700, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=GET, uri=/candlepin/products/1401719601992

2014-06-03 10:29:17,909 [req=e6ca8680-4365-458a-bbcb-2065a28a2700, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Response: status=200, content-type="application/json", time=8ms
2014-06-03 10:29:19,320 [req=bfa6ddc0-f986-4a94-87a2-b40ea2b59893, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=POST, uri=/candlepin/content/

2014-06-03 10:29:19,336 [req=bfa6ddc0-f986-4a94-87a2-b40ea2b59893, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Response: status=200, content-type="application/json", time=54ms

2014-06-03 10:29:19,421 [req=4309532d-3623-4728-91c7-8da86b32c478, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=POST, uri=/candlepin/products/1401719601992/content/1401805759329?enabled=

true

2014-06-03 10:29:19,440 [req=4309532d-3623-4728-91c7-8da86b32c478, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Response: status=200, content-type="application/json", time=19ms

2014-06-03 10:29:19,520 [req=d40f7d00-a67b-4e0f-80f0-9ed60f6873fc, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=GET, uri=/candlepin/environments/6

2014-06-03 10:29:19,549 [req=d40f7d00-a67b-4e0f-80f0-9ed60f6873fc, org=NY_Data_Center] INFO  org.candlepin.ser

vlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=29ms

2014-06-03 10:29:19,630 [req=f9c0e676-08d8-4250-b217-f26867bb58a6, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=POST, uri=/candlepin/environments/6/content

2014-06-03 10:29:19,678 [req=f9c0e676-08d8-4250-b217-f26867bb58a6, org=NY_Data_Center] INFO  org.candlepin.ser

vlet.filter.logging.LoggingFilter - Response: status=202, content-type="application/json", time=87ms

2014-06-03 10:29:19,735 [job=regen_entitlement_cert_of_env070f8476-2cfa-4334-a1d3-99113f9fd826, org=] INFO  or

g.candlepin.controller.CandlepinPoolManager - Regenerating relevant certificates in environment: 6

2014-06-03 10:29:19,768 [job=regen_entitlement_cert_of_env070f8476-2cfa-4334-a1d3-99113f9fd826, org=] INFO  or

g.candlepin.controller.CandlepinPoolManager - Found 0 certificates to regenerate.

==> /var/log/messages <==

Jun  3 10:29:19 nec-em25 pulp: celery.worker.strategy:INFO: Received task: pulp.server.async.tasks._reserve_re

source[a106260b-8dd9-4952-90c6-3ecf14c93e34]

Jun  3 10:29:19 nec-em25 pulp: celery.worker.job:INFO: Task pulp.server.async.tasks._reserve_resource[a106260b

-8dd9-4952-90c6-3ecf14c93e34] succeeded in 0.0317286769859s: reserved_resource_worker-4@nec-em25.rhts.eng.bos.

redhat.com.dq

Jun  3 10:29:20 nec-em25 pulp: celery.worker.strategy:INFO: Received task: pulp.server.managers.repo.publish.p

ublish[75ecbd45-99e5-4c50-b9ed-76f0a173b934]

Jun  3 10:29:20 nec-em25 pulp: celery.worker.strategy:INFO: Received task: pulp.server.async.tasks._queue_rele

ase_resource[00b8c1ed-816f-4361-bb3a-8f527109e54a]

Jun  3 10:29:20 nec-em25 pulp: celery.worker.job:INFO: Task pulp.server.managers.repo.publish.publish[75ecbd45

-99e5-4c50-b9ed-76f0a173b934] succeeded in 0.11429782596s: {'error_message': None, 'started': '2014-06-03T10:2

9:20-04:00', 'completed': '2014-06-03T10:29:20-04:00', 'result': 'success',...

Jun  3 10:29:20 nec-em25 pulp: celery.worker.strategy:INFO: Received task: pulp.server.async.tasks._release_re

source[6fe5df52-c519-42ae-aa95-796b6abb1378]

Jun  3 10:29:20 nec-em25 pulp: celery.worker.job:INFO: Task pulp.server.async.tasks._queue_release_resource[00

b8c1ed-816f-4361-bb3a-8f527109e54a] succeeded in 0.038871253957s: None

Jun  3 10:29:20 nec-em25 pulp: celery.worker.job:INFO: Task pulp.server.async.tasks._release_resource[6fe5df52

-c519-42ae-aa95-796b6abb1378] succeeded in 0.0391545910388s: None

==> /var/log/foreman/production.log <==

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/repositories/show.j

son.rabl within katello/api/v2/layouts/resource (140.9ms)

Completed 200 OK in 3742ms (Views: 142.0ms | ActiveRecord: 65.3ms)

Processing by Katello::Api::V2::RepositoriesController#create as JSON

  Parameters: {"name"=>"fakerepo02", "label"=>"fakerepo02", "content_type"=>"yum", "url"=>"http://omaciel.fedo

rapeople.org/fakerepo02/", "product_id"=>194, "unprotected"=>true, "organization_id"=>"4", "api_version"=>"v2"

, "repository"=>{"name"=>"fakerepo02", "label"=>"fakerepo02", "unprotected"=>true, "content_type"=>"yum", "pro

duct_id"=>194, "url"=>"http://omaciel.fedorapeople.org/fakerepo02/"}}

==> /var/log/candlepin/candlepin.log <==

2014-06-03 10:29:22,281 [req=c81a43c3-5c43-410d-aff4-1af25cc78fd9, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=GET, uri=/candlepin/products/1401719601992

2014-06-03 10:29:22,290 [req=c81a43c3-5c43-410d-aff4-1af25cc78fd9, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Response: status=200, content-type="application/json", time=9ms

2014-06-03 10:29:23,672 [req=f945a216-bfc2-4228-98c4-51e8fba6cdeb, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=POST, uri=/candlepin/content/

2014-06-03 10:29:23,688 [req=f945a216-bfc2-4228-98c4-51e8fba6cdeb, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Response: status=200, content-type="application/json", time=55ms

2014-06-03 10:29:23,780 [req=33a07652-243c-46c2-a952-c19c39ff70ff, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=POST, uri=/candlepin/products/1401719601992/content/1401805763679?enabled=

true

2014-06-03 10:29:23,799 [req=33a07652-243c-46c2-a952-c19c39ff70ff, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Response: status=200, content-type="application/json", time=19ms

2014-06-03 10:29:23,890 [req=41293421-3aa0-4e3a-a210-f64a2a272e35, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=GET, uri=/candlepin/environments/6

2014-06-03 10:29:23,918 [req=41293421-3aa0-4e3a-a210-f64a2a272e35, org=NY_Data_Center] INFO  org.candlepin.ser

vlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=28ms

2014-06-03 10:29:24,000 [req=a640225a-e1d9-4978-9963-9ad5439fc211, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=POST, uri=/candlepin/environments/6/content

2014-06-03 10:29:24,036 [req=a640225a-e1d9-4978-9963-9ad5439fc211, org=NY_Data_Center] INFO  org.candlepin.ser

vlet.filter.logging.LoggingFilter - Response: status=202, content-type="application/json", time=76ms

2014-06-03 10:29:24,053 [job=regen_entitlement_cert_of_env41f4eb9c-d7f0-488f-8f54-55338d6459f5, org=] INFO  or
g.candlepin.controller.CandlepinPoolManager - Regenerating relevant certificates in environment: 6

2014-06-03 10:29:24,080 [job=regen_entitlement_cert_of_env41f4eb9c-d7f0-488f-8f54-55338d6459f5, org=] INFO  or

g.candlepin.controller.CandlepinPoolManager - Found 0 certificates to regenerate.

==> /var/log/messages <==

Jun  3 10:29:24 nec-em25 pulp: celery.worker.strategy:INFO: Received task: pulp.server.async.tasks._reserve_re

source[b31738dd-556b-455b-8794-74adcc23ab5b]

Jun  3 10:29:24 nec-em25 pulp: celery.worker.job:INFO: Task pulp.server.async.tasks._reserve_resource[b31738dd

-556b-455b-8794-74adcc23ab5b] succeeded in 0.0464961079415s: reserved_resource_worker-4@nec-em25.rhts.eng.bos.

redhat.com.dq

Jun  3 10:29:24 nec-em25 pulp: celery.worker.strategy:INFO: Received task: pulp.server.managers.repo.publish.p

ublish[a0c66880-f47b-4032-b44a-32b751c6bb99]

Jun  3 10:29:24 nec-em25 pulp: celery.worker.strategy:INFO: Received task: pulp.server.async.tasks._queue_rele

ase_resource[57598fc7-faec-410a-a1fd-4aa72c296b20]

Jun  3 10:29:24 nec-em25 pulp: celery.worker.job:INFO: Task pulp.server.managers.repo.publish.publish[a0c66880

-f47b-4032-b44a-32b751c6bb99] succeeded in 0.0769664819818s: {'error_message': None, 'started': '2014-06-03T10

:29:24-04:00', 'completed': '2014-06-03T10:29:24-04:00', 'result': 'success',...

Jun  3 10:29:24 nec-em25 pulp: celery.worker.strategy:INFO: Received task: pulp.server.async.tasks._release_re

source[5960e526-8624-4bad-85e7-7d9ae641783b]

Jun  3 10:29:24 nec-em25 pulp: celery.worker.job:INFO: Task pulp.server.async.tasks._queue_release_resource[57

598fc7-faec-410a-a1fd-4aa72c296b20] succeeded in 0.0279771370115s: None

Jun  3 10:29:24 nec-em25 pulp: celery.worker.job:INFO: Task pulp.server.async.tasks._release_resource[5960e526

-8624-4bad-85e7-7d9ae641783b] succeeded in 0.0401949259685s: None

==> /var/log/foreman/production.log <==

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/repositories/show.j

son.rabl within katello/api/v2/layouts/resource (137.2ms)

Completed 200 OK in 3669ms (Views: 136.5ms | ActiveRecord: 56.1ms)

Processing by Katello::Api::V2::ProductsController#show as JSON

  Parameters: {"api_version"=>"v2", "id"=>"194"}

==> /var/log/candlepin/candlepin.log <==

2014-06-03 10:29:26,751 [req=a8333100-a419-4007-911e-ba6159fcd0dc, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Request: verb=GET, uri=/candlepin/products/1401719601992

2014-06-03 10:29:26,760 [req=a8333100-a419-4007-911e-ba6159fcd0dc, org=] INFO  org.candlepin.servlet.filter.lo

gging.LoggingFilter - Response: status=200, content-type="application/json", time=9ms

==> /var/log/foreman/production.log <==

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/products/show.json.

rabl within katello/api/v2/layouts/resource (844.6ms)

Completed 200 OK in 853ms (Views: 837.4ms | ActiveRecord: 9.6ms)

Processing by Katello::Api::V2::RepositoriesController#index as JSON

  Parameters: {"enabled"=>"true", "library"=>"true", "organization_id"=>"4", "page"=>"1", "product_id"=>"194",

 "search"=>"", "api_version"=>"v2"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/repositories/index.

json.rabl within katello/api/v2/layouts/collection (281.7ms)

Completed 200 OK in 324ms (Views: 279.4ms | ActiveRecord: 6.7ms)

Client connected.

Connected to server.

#3 - 06/05/2014 03:34 AM - Eric Helms

- Triaged changed from No to Yes
